\begin{example}
Consider the following TBA $\atba[1]$, with start state $\state[1]$ and accept states $F=\set{\state[1]}$: 
\begin{center}
\begin{pspicture}(0,-0.5)(5,2.5)
\cnodeput[doubleline=true](2,0){pq1}{$\state[1]$}
\cnodeput(5,0){pq2}{$\state[2]$}
%\cnodeput(8,2){pq3}{$\state[3]$}

\ncline{->}{pq1}{pq2}
\goto{\clock{a}{}{T=0}}


\ncarc[arcangleA=125, arcangleB=125, ncurv=3]{->}{pq2}{pq2}
\aput{:U}{\clock{b}{}{}}

%\ncline{->}{pq2}{pq3}
\ncloop[angleB=180,loopsize=1.6]{->}{pq2}{pq1}
\dgoto{\clock{c}{T<50}{}}

\end{pspicture}
\end{center}
This TBA accepts the
$\omega$-language 
$L_1 = \setst{\pair{\infwd{(ab^*c)}}{\timing}}{
	\all{x}{
	  \some{i,j}{
	    \all{k}{
	      \boolform	
	    }
	  }
	}
}$
where $\boolform$ is the boolean formula 
\[\timing[i] < \timing[k] < \timing[j] \implies (\aalpha[i] = a) \land
				(\aalpha[k] = b) \land
				(\aalpha[j] = c) \land
				(\timing[j] -\timing[i] < 50)
\]

\begin{comment}
%% 8-28-2012 [PH]: Commented out for FTSCS2012 submission to conserve space.
	To understand $\phi$, observe that informally speaking, the TBA accepts timed
	words of the following form: infinite repetitions of substrings consisting
	of an `a', followed by zero or more `b's, followed by a `c'. In addition, the
	elapsed time between an `a' and the following `c' must be no more than 50 units.
	We can think of each sequence of `a's, `b's, and `c's as a ``cycle".
	For example:
	\begin{center}
	\begin{tabular}{l|l||l|l}
	Cycle $(x)$& $y$ &$\aalpha_y$ & $\timing[y]$\\
	\hline
	1 & 1 &a & 1\\
	  & 2 &b & 2\\
	  & 3 &b & 47\\
	  & 4 &b & 48\\
	  & 5 &c & 49\\ 
	\hline
	2 & 6 &a & 50\\
	  & 7 &b & 52\\
	  & 8 &c & 53\\
	\hline
	3 & 9 &a & 60\\
	  & 10 &c & 70\\
	\hline
	... & ... & ... & ...
	\end{tabular}
	\end{center}
	Thus, $\forall x$ universally quantifies over cycles, $\exists i,j$ specifies
	values of $y$ corresponding to a cycle's initial `a' and terminating `c',
	and $\forall k$ quantifies over the intervening `b's--- for cycle $x=1$:
	$i=1$ and $j=5$. For cycle $x=2$: $i=6$ and $j=8$. For cycle $x=3$: $i=9$ and
	$j=10$, and so forth.
\end{comment}

\label{ex:tba1}
\end{example}
\endinput
